---
title: REST API for labels (EOL)
source: https://docs.newrelic.com/docs/apis/rest-api-v2/labels-examples-v2/create-labels-apps-v2
---

> #### ⚠️ IMPORTANT
>
> The REST API for labels has reached end of life as of June 30, 2022 (extended from March 31, 2022). For more information, see our documentation about [tags](https://docs.newrelic.com/docs/new-relic-one/use-new-relic-one/core-concepts/tagging-use-tags-organize-group-what-you-monitor) and our [Support Forum post](https://support.newrelic.com/s/hubtopic/aAX8W0000008cts/important-upcoming-changes-to-capabilities-and-support-across-errors-classic) about the EOL.

## List existing labels [#list_labels]

To list the labels that exist in your account, use this command:

```sh
curl 'https://api.newrelic.com/v2/labels.json' \
     -H "Api-Key:NEW_RELIC_USER_KEY" -i
```

### View the output [#list_label_output]

The output for the label includes:

-   The full key name for the label (for example, `Staging:Test1`), as well as the component and name for the key
-   The application `health_status` (red, orange, green, gray) and application IDs for the label in each category
-   Apps that have this label; for example, the label `Staging:Test1` has been applied to one application (4937390) and two hosts (3801143 and 5879721)

The output for a label listing will appear similar to this:

```json
{
  "labels": [
    {
      "key": "Production:Main",
      "category": "Production",
      "name": "Main",
      "application_health_status": {
        "green": [],
        "orange": [],
        "red": [],
        "gray": []
      },
      "links": {
        "applications": [],
      }
    },
    {
      "key": "Staging:Test1",
      "category": "Staging",
      "name": "Test1",
      "application_health_status": {
        "green": [],
        "orange": [],
        "red": [
          4937390
        ],
        "gray": []
      },
      "links": {
        "applications": [
          4937390
        ],
      }
    },
  ...
}
```
